OrcProto.StripeInformationOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.StripeInformationOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.StripeInformation, OrcProto.StripeInformation.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.StripeInformationOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDataLength()` `optional uint64 dataLength = 3;`
    `long` | `getFooterLength()` `optional uint64 footerLength = 4;`
    `long` | `getIndexLength()` `optional uint64 indexLength = 2;`
    `long` | `getNumberOfRows()` `optional uint64 numberOfRows = 5;`
    `long` | `getOffset()` `optional uint64 offset = 1;`
    `boolean` | `hasDataLength()` `optional uint64 dataLength = 3;`
    `boolean` | `hasFooterLength()` `optional uint64 footerLength = 4;`
    `boolean` | `hasIndexLength()` `optional uint64 indexLength = 2;`
    `boolean` | `hasNumberOfRows()` `optional uint64 numberOfRows = 5;`
    `boolean` | `hasOffset()` `optional uint64 offset = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasOffset

          boolean hasOffset()

      `optional uint64 offset = 1;`

    - #### getOffset

          long getOffset()

      `optional uint64 offset = 1;`

    - #### hasIndexLength

          boolean hasIndexLength()

      `optional uint64 indexLength = 2;`

    - #### getIndexLength

          long getIndexLength()

      `optional uint64 indexLength = 2;`

    - #### hasDataLength

          boolean hasDataLength()

      `optional uint64 dataLength = 3;`

    - #### getDataLength

          long getDataLength()

      `optional uint64 dataLength = 3;`

    - #### hasFooterLength

          boolean hasFooterLength()

      `optional uint64 footerLength = 4;`

    - #### getFooterLength

          long getFooterLength()

      `optional uint64 footerLength = 4;`

    - #### hasNumberOfRows

          boolean hasNumberOfRows()

      `optional uint64 numberOfRows = 5;`

    - #### getNumberOfRows

          long getNumberOfRows()

      `optional uint64 numberOfRows = 5;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.